#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Package
%define		pnam	Stash-XS
%include	/usr/lib/rpm/macros.perl
Summary:	Package::Stash::XS - faster and more correct implementation of the Package::Stash API
Summary(pl.UTF-8):	Package::Stash::XS - szybsza i bardziej poprawna implementacja API Package::Stash
Name:		perl-Package-Stash-XS
Version:	0.28
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Package/Package-Stash-XS-%{version}.tar.gz
# Source0-md5:	9664356ec3be02626cbd3081ec246b70
URL:		http://search.cpan.org/dist/Package-Stash-XS/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.31
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Fatal
BuildRequires:	perl-Test-Simple >= 0.88
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a backend for Package::Stash, which provides the functionality
in a way that's less buggy and much faster. It will be used by default
if it's installed, and should be preferred in all environments with a
compiler.

%description -l pl.UTF-8
Ten moduł jest backendem dla modułu Package::Stash, udostępniającym
jego funkcjonalność w mniej błędny i szybszy sposób. Jest używany jako
domyślny backend jeśli jest zainstalowany i powinien być preferowany
we wszystkich środowiskach z kompilatorem.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Package
%dir %{perl_vendorarch}/Package/Stash
%{perl_vendorarch}/Package/Stash/XS.pm
%dir %{perl_vendorarch}/auto/Package
%dir %{perl_vendorarch}/auto/Package/Stash
%dir %{perl_vendorarch}/auto/Package/Stash/XS
%attr(755,root,root) %{perl_vendorarch}/auto/Package/Stash/XS/XS.so
%{_mandir}/man3/Package::Stash::XS.3pm*
%changelog
* Mon Jun 12 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Package-Stash-XS.git;a=log;h=auto/th/perl-Package-Stash-XS-0.28-5

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b0324dc
- perl req/prov fix
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> c42bcc8
- rebuild with perl 5.26
- release 4 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 24d6fdc
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9a66386
- release 2 (by relup.sh)

* Tue Mar 10 2015 Jakub Bogusz <qboosh@pld-linux.org> d6d29b4
- updated to 0.28

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 4c622ff
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 1e202fe
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 07a241e
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> af298ab
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 42ea1e7
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Thu Jun 20 2013 Jakub Bogusz <qboosh@pld-linux.org> e189df3
- updated to 0.26

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> c02281b
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 4005b16
- unified CPAN source URL

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 932d41a
- up to 0.25

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 7e99899
- rel 2

* Wed Mar 02 2011 Jakub Bogusz <qboosh@pld-linux.org> b496b17
- new

